#include <xcore/port.h>
#include <xcore/port_protocol.h>
#include <xcore/clock.h>
#include <xs1.h>

port_t outP    = XS1_PORT_4D;
port_t outR    = XS1_PORT_1C;
port_t inClock = XS1_PORT_1A;
xclock_t clk   = XS1_CLKBLK_1;

int main(void) {
    port_start_buffered(outP, 8);
    port_enable(outR);
    port_enable(inClock);
    clock_enable(clk);

    clock_set_source_port(clk, inClock);
    port_protocol_out_strobed_master(outP, outR, clk, 0);
    clock_start(clk);

    port_out(outP, 0x58);
    f();
    port_out(outP, 0x12);
    port_out(outP, 0x34);
}
